> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fssportal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Room

> Update an existing room

## Endpoint

```
POST /api/v1/room/update
```

<Note>This endpoint requires authentication</Note>

## Headers

<ParamField header="X-API-Token" type="string" required>
  Your API access token. You can also set this globally in the API playground.
</ParamField>

<ParamField header="platform" type="string" required>
  The platform making the request: `WEB`, `IOS`, or `ANDROID`.
</ParamField>

## Request Body

<ParamField body="room_id" type="integer" required>
  The unique identifier of the room to update.
</ParamField>

<ParamField body="name" type="string">
  name
</ParamField>

## Response

<ResponseField name="message" type="string">
  message
</ResponseField>

<ResponseField name="data" type="array">
  data
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location 'http://fssportal.com/api/v1/room/update' \
  --header 'X-API-Token: YOUR_API_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
    "room_id": 4945,
    "name": "Harry's Room"
  }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('http://fssportal.com/api/v1/room/update', {
    method: 'POST',
    headers: {
      'X-API-Token': 'YOUR_API_TOKEN',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
    "room_id": 4945,
    "name": "Harry's Room"
  })
  });

  const data = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "message": "Room updated successfully.",
    "data": []
  }
  ```
</ResponseExample>

## Notes

* Authentication is required
